{id}: Get a specific joke by ID

API: groandeck.com:groandeck-dad-joke-api
Endpoint: /jokes/{id}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 730ms

Description

Fetches a single joke by its UUID.

Parameters (1)

id (string, path, required)

Joke UUID

Examples (1)

Get a specific joke by ID openapi-spec
curl 'https://groandeck.com/api/v1/jokes/f115f9c3-e03c-41fa-aa49-ef4d9abff6bd'
import requests

resp = requests.get("https://groandeck.com/api/v1/jokes/f115f9c3-e03c-41fa-aa49-ef4d9abff6bd")
data = resp.json()
import zingu_apis

api = zingu_apis.api("groandeck")
result = api.fetch("jokes/{id}")

for item in result:
    print(item)
const resp = await fetch("https://groandeck.com/api/v1/jokes/f115f9c3-e03c-41fa-aa49-ef4d9abff6bd");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:09:56.409928 200 730ms
2026-04-15 03:40:19.186614 200 895ms
2026-04-14 02:32:46.467569 200 946ms
2026-04-12 14:32:03.461990 200 1302ms
2026-04-10 01:19:23.642067 200 1333ms
2026-04-09 02:51:28.635108 200 1131ms